Bug 1267750 - pagedresults - when timed out, search results could have been already freed.
Summary: pagedresults - when timed out, search results could have been already freed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-30 20:39 UTC by Noriko Hosoi
Modified: 2016-11-03 20:36 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:36:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2015-09-30 20:39:00 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48299

Possible to free search results twice.

Comment 1 Mike McCune 2016-03-28 23:12:48 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 3 Simon Pichugin 2016-06-30 10:13:18 UTC
Hi Noriko,
I've read original bz1267296 and it seems that bug is very rarely reproducible.

Would it be enough just to test simple paged result test suite automation for a clean execution (as you proposed for other rarely reproducible bug)?

Or should I perform some additional steps to verify the bug?

Comment 4 Noriko Hosoi 2016-06-30 21:16:49 UTC
(In reply to Simon Pichugin from comment #3)
> Hi Noriko,
> I've read original bz1267296 and it seems that bug is very rarely
> reproducible.
> 
> Would it be enough just to test simple paged result test suite automation
> for a clean execution (as you proposed for other rarely reproducible bug)?
> 
> Or should I perform some additional steps to verify the bug?

I think your test suites would cover the issue.  If you could do this with the minimum effort, run the tests with very short timelimit such as 1 second?
Thanks!

Comment 5 Simon Pichugin 2016-07-01 15:50:28 UTC
Thank you, Noriko. I've set timelimit to 1 second before each test.

Build tested:
389-ds-base-1.3.5.10-1.el7.x86_64

============================ test session starts ============================
platform linux2 -- Python 2.7.5, pytest-2.9.2, py-1.4.31, pluggy-0.3.1
rootdir: /mnt/tests/rhds/tests/upstream/ds/dirsrvtests/tests/suites/paged_results, inifile:
plugins: html-1.8.1, cov-2.2.1
collected 24 items

dirsrvtests/tests/suites/paged_results/paged_results_test.py ........................

======================== 24 passed in 72.47 seconds ========================

Marking as verified.

Comment 7 errata-xmlrpc 2016-11-03 20:36:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.